---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libBoundVThreadTest.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x6B0, symBinAddr: 0xDC0, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x21430, symBinAddr: 0x4050, symSize: 0x0 }
  - { offsetInCU: 0xC6, offset: 0xC6, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x21570, symBinAddr: 0x4180, symSize: 0x0 }
  - { offsetInCU: 0x8D0E, offset: 0x8D0E, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x19B0, symBinAddr: 0x1CB0, symSize: 0x175 }
  - { offsetInCU: 0x8D45, offset: 0x8D45, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x21588, symBinAddr: 0x4198, symSize: 0x0 }
  - { offsetInCU: 0x8F32, offset: 0x8F32, size: 0x8, addend: 0x0, symName: __ZL19vthread_start_count, symObjAddr: 0x21578, symBinAddr: 0x4188, symSize: 0x0 }
  - { offsetInCU: 0x8F4B, offset: 0x8F4B, size: 0x8, addend: 0x0, symName: __ZL17vthread_end_count, symObjAddr: 0x2157C, symBinAddr: 0x418C, symSize: 0x0 }
  - { offsetInCU: 0x8F64, offset: 0x8F64, size: 0x8, addend: 0x0, symName: __ZL6status, symObjAddr: 0x21580, symBinAddr: 0x4190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x10E0, symSize: 0x30 }
  - { offsetInCU: 0x9660, offset: 0x9660, size: 0x8, addend: 0x0, symName: _Java_BoundVThreadTest_testJvmtiFunctions, symObjAddr: 0xE10, symBinAddr: 0x1110, symSize: 0x680 }
  - { offsetInCU: 0xA4A2, offset: 0xA4A2, size: 0x8, addend: 0x0, symName: __ZL21check_suspended_stateP7JNIEnv_P8_jobject, symObjAddr: 0x1730, symBinAddr: 0x1A30, symSize: 0x140 }
  - { offsetInCU: 0xA6D4, offset: 0xA6D4, size: 0x8, addend: 0x0, symName: __ZL19check_resumed_stateP7JNIEnv_P8_jobject, symObjAddr: 0x1870, symBinAddr: 0x1B70, symSize: 0x140 }
  - { offsetInCU: 0xA983, offset: 0xA983, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1490, symBinAddr: 0x1790, symSize: 0x160 }
  - { offsetInCU: 0xAB6E, offset: 0xAB6E, size: 0x8, addend: 0x0, symName: __ZL18VirtualThreadStartP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x15F0, symBinAddr: 0x18F0, symSize: 0x10 }
  - { offsetInCU: 0xABA9, offset: 0xABA9, size: 0x8, addend: 0x0, symName: __ZL16VirtualThreadEndP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x1600, symBinAddr: 0x1900, symSize: 0x10 }
  - { offsetInCU: 0xABE4, offset: 0xABE4, size: 0x8, addend: 0x0, symName: _Java_BoundVThreadTest_check, symObjAddr: 0x1610, symBinAddr: 0x1910, symSize: 0x100 }
  - { offsetInCU: 0xAC87, offset: 0xAC87, size: 0x8, addend: 0x0, symName: __ZL10agent_procP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x1710, symBinAddr: 0x1A10, symSize: 0x20 }
...
